For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • POSTCreate a payment link
      • GETGet payment link by ID
      • POSTExpire a payment link
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment links

Get payment link by ID

GET
/payment_links/:payment_link_id
GET
/v1/payment_links/:payment_link_id
$curl https://api.sandbox.monite.com/v1/payment_links/payment_link_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "amount": 1,
4 "currency": "AED",
5 "expires_at": "2024-01-15T09:30:00Z",
6 "payment_intent_id": "payment_intent_id",
7 "payment_methods": [
8 "payment_methods"
9 ],
10 "payment_page_url": "payment_page_url",
11 "recipient": {
12 "id": "id",
13 "type": "entity",
14 "bank_accounts": [
15 {
16 "id": "id",
17 "account_holder_name": "Bob Jones",
18 "account_number": "12345678",
19 "bic": "DEUTDEFFXXX",
20 "country": "AF",
21 "currency": "AED",
22 "display_name": "Primary account",
23 "iban": "DE74500700100100000900",
24 "is_default": true,
25 "name": "Primary account",
26 "routing_number": "routing_number",
27 "sort_code": "123456",
28 "was_created_by_user_id": "was_created_by_user_id"
29 }
30 ],
31 "name": "name"
32 },
33 "status": "status",
34 "invoice": {
35 "due_date": "due_date",
36 "file": {
37 "mimetype": "application/pdf",
38 "name": "INV-00042.pdf",
39 "url": "https://example.com/path/to/invoice.pdf"
40 },
41 "issue_date": "issue_date"
42 },
43 "payer": {
44 "id": "id",
45 "type": "entity",
46 "bank_accounts": [
47 {
48 "id": "id",
49 "account_holder_name": "Bob Jones",
50 "account_number": "12345678",
51 "bic": "DEUTDEFFXXX",
52 "country": "AF",
53 "currency": "AED",
54 "display_name": "Primary account",
55 "iban": "DE74500700100100000900",
56 "is_default": true,
57 "name": "Primary account",
58 "routing_number": "routing_number",
59 "sort_code": "123456",
60 "was_created_by_user_id": "was_created_by_user_id"
61 }
62 ],
63 "name": "name"
64 },
65 "payment_intent": {
66 "id": "id",
67 "updated_at": "2024-01-15T09:30:00Z",
68 "status": "status",
69 "application_fee_amount": 1,
70 "object": {
71 "id": "id",
72 "type": "payable"
73 },
74 "provider": "provider",
75 "selected_payment_method": "selected_payment_method"
76 },
77 "payment_reference": "payment_reference",
78 "return_url": "https://pay.example.com/complete"
79}
Was this page helpful?
Previous

Expire a payment link

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_link_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
amountinteger
currencyenum
expires_atdatetime
payment_intent_idstringformat: "uuid"
payment_methodslist of strings
payment_page_urlstringformat: "uri"1-2083 characters
recipientobject
statusstring
invoiceobject
payerobject
payment_intentobject
payment_referencestring
return_urlstring

The URL where to redirect the payer after the payment. If return_url is specified, then after the payment is completed the payment page will display the “Return to platform” link that navigates to this URL.

Errors

401
Get Payment Links ID Request Unauthorized Error
422
Get Payment Links ID Request Unprocessable Entity Error
429
Get Payment Links ID Request Too Many Requests Error